package cn.com.ty.lift.system.homepage.controller;

import cn.com.ty.lift.system.homepage.dao.dto.request.TodoRequest;
import cn.com.ty.lift.system.homepage.service.TodoService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author huangyuan
 * @date 2020/2/14
 * @description 企业 - 待办事项
 */
@RestController
@RequestMapping("/home/enterprise/todo")
public class TodoEnterpriseController {

    @Resource
    private TodoService todoService;

    /**
     * @param
     * @return
     * @description 待办数量
     * @date 2020/2/14 10:55 上午
     */
    @RequestMapping("/todoNum")
    public RestResponse todoNum(@RequestBody TodoRequest todoRequest) {
        return todoService.todoNum(todoRequest);
    }

    /**
     * @param
     * @return
     * @description 用户申请加入团队待办
     * @date 2020/2/24 11:30 上午
     */
    @RequestMapping("/companyUserApplyTodo")
    public RestResponse companyUserApplyTodo(@RequestBody TodoRequest todoRequest) {
        return todoService.companyApplyUserTodo(todoRequest);
    }

    /**
     * @param
     * @return
     * @description 获取急修待待办数据
     * @date 2020/2/14 12:20 下午
     */
    @RequestMapping("/emergencyTodo")
    public RestResponse getEmergencyTodo(@RequestBody TodoRequest todoRequest) {
        return todoService.getEmergencyTodo(todoRequest);
    }

    /**
     * @param
     * @return
     * @description 获取维保待办
     * @date 2020/2/14 12:21 下午
     */
    @RequestMapping("/maintenanceTodo")
    public RestResponse getMaintenanceTodo(@RequestBody TodoRequest todoRequest) {
        return todoService.getMaintenanceTodo(todoRequest);
    }

    /**
     * @param
     * @return
     * @description 获取大修待办
     * @date 2020/2/14 12:22 下午
     */
    @RequestMapping("/capitalRepairTodo")
    public RestResponse capitalRepairTodo(@RequestBody TodoRequest todoRequest) {
        return todoService.getCapitalRepairTodo(todoRequest);
    }

    /**
     * @param
     * @return
     * @description 获取年检待办
     * @date 2020/2/14 12:24 下午
     */
    @RequestMapping("/annualInspectionTodo")
    public RestResponse getAnnualInspectionTodo(@RequestBody TodoRequest todoRequest) {
        return todoService.getAnnualInspectionTodo(todoRequest);
    }

}
